local WaterMill = ...

--------------------------------------------------------------------------
local WATER_MILL_COMP_WHEEL = {
	TypeName = "WATER_MILL_COMP_WHEEL",
	ParentType = "COMPONENT",
	Properties = {
		{ Name = "RotationSpeedX", Type = "float", Default = 0.5 },
		{ Name = "RotationDirectionCustom", Type = "string", Default = "Woop" }
	}
}

--------------------------------------------------------------------------
function WATER_MILL_COMP_WHEEL:create()
	self._timer = 0
end

--------------------------------------------------------------------------
function WATER_MILL_COMP_WHEEL:init()
	self._rotationX = 0 --self.MinAngleX + math.random() * (self.MaxAngleX - self.MinAngleX)
	self._rotationY = 0 --math.random() * math.pi
        WaterMill:log("RotationDirectionCustom = " .. self.RotationDirectionCustom)
end

--------------------------------------------------------------------------
function WATER_MILL_COMP_WHEEL:update()
	local dt = self:getLevel():getDeltaTime()
        if self.RotationDirectionCustom == "RIGHT_BANK" then
	    self._rotationX = self._rotationX - self.RotationSpeedX * dt
	else
	    self._rotationX = self._rotationX + self.RotationSpeedX * dt
        end
	self:getOwner():setRotationX(self._rotationX)
--	self:getOwner():translate({ 0, dt,  0})
end

--------------------------------------------------------------------------
WaterMill:registerClass(WATER_MILL_COMP_WHEEL)
